/*
 * printf.h
 *
 *  Created on: 25/08/2013
 *      Author: Xavier Vilajosana
 */

#ifndef PRINTF_H_
#define PRINTF_H_

#define Overflow	"Buffer Overflow !!!!!\r\n"

void Delay_Ms(uint8_t base, uint32_t ms);
void Lock_Print();
void UnLock_Print();
void Print_Flush(uint8_t PortNum);
uint32_t Print_Init(uint8_t PortNum, uint32_t Baudrate);
uint32_t Print_End(uint8_t PortNum);
void Print_Text (uint8_t PortNum , char *Text);
void Print_T_CRLF (uint8_t PortNum , char *Text);
void Print_TT_CRLF( uint8_t PortNum , char *Text , char *Word);
void Print_TextNum ( uint8_t PortNum , char *Text , int32_t Num);
void Print_TN_CRLF ( uint8_t PortNum , char *Text , int32_t Num);
uint32_t UART_Scanf(uint8_t PortNum, char *Text, uint32_t Time);
uint32_t UART_Read(uint8_t PortNum, char *Text, char *Value, uint32_t Time);
uint32_t Check_Read(uint8_t PortNum, char *Text, char *Value, uint32_t Time);

#endif /* PRINTF_H_ */
